import {mande} from "mande";
import {queryRemoveZero} from "@/api/utils.js";

const sellers = mande('/api/v2/sellers')

export const ListSellers = (q) => {
    const query = queryRemoveZero(q)
    return sellers.get({query})
}

export const FindSellers= (q) =>{
    const query = queryRemoveZero(q)
    return sellers.get('find',{query})
}

export const CreateSeller = (seller)=>{
    return sellers.post(seller)
}

export const UpdateSeller = (seller)=>{
    return sellers.put(seller)
}

export const GetSeller = (id) =>{
    return sellers.get(`/${id}`)
}

export  const DeleteSeller = (id)=>{
    return sellers.delete(`/${id}`)
}

export const GetSellerDictStatus = () =>{
    return sellers.get('/dict/status')
}


const seller = mande('/api/v2/seller')
export const FetchSellerArticles = (sellerId)=>{
    return seller.post(`/${sellerId}/pull`)
}

export const MatchSellerSku = (sellerArticle)=>{
    return seller.post(`/${sellerArticle.sellerId}/match`, sellerArticle)
}

export const FetchSellerArticle = (sellerArticle)=>{
    return seller.post(`/${sellerArticle.sellerId}/fetch/${sellerArticle.id}`)
}